Subject: bug#67958: closed (Re: [bug#67958] [PATCH 0/7 rust-team] gnu: just: Update to 1.17.0)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 Dec 2023 11:46:05 +0000

Your bug report

#67958: [PATCH 0/7 rust-team] gnu: just: Update to 1.17.0

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67958: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67958
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#67958] [PATCH 0/7 rust-team] gnu: just: Update to 1.17.0
From: Efraim Flashner <[email-masked]>
To: Jaeme Sifat <[email-masked]>
Cc: [email-masked]
Date: Tue, 26 Dec 2023 13:45:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the patches. I had previously packaged rust-which-5 and made
it build with the newer version of rust-regex-1 so I was able to drop
those patches. I undid the change to gexps on just so I could see a
clearer diff of the version upgrade and I adjusted the 'install-extras
phase to use the native just when creating the shell completions for the
cross-compiled one.

Patches added to the rust-team branch.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 0/7 rust-team] gnu: just: Update to 1.17.0
From: Jaeme Sifat <[email-masked]>
To: [email-masked]
Cc: Jaeme Sifat <[email-masked]>
Date: Thu, 21 Dec 2023 15:46:06 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch set updates the 'just' build tool to version 1.17. It's
also a version rebump of a Rust binary crate that doesn't hit the
double digits which is always welcomed.

The build code for 'just' was refactored in a similar way to
'ripgrep@14,' adding the binary as a native-input depending on the
target system.

Jaeme Sifat (7):
  gnu: rust-regex-syntax-0.7: Update to 0.7.5.
  gnu: rust-regex-automata-0.3: Update to 0.3.9.
  gnu: Add rust-regex-1.9.
  gnu: Add rust-which-5.
  gnu: rust-heck-0.4: Update to 0.4.1.
  gnu: Add rust-strum-0.25.
  gnu: just: Update to 1.17.0.

 gnu/packages/crates-io.scm | 155 +++++++++++++++++++++++++++--------
 gnu/packages/rust-apps.scm | 163 ++++++++++++++++++++-----------------
 2 files changed, 206 insertions(+), 112 deletions(-)

base-commit: 2f9f39f44108884669e7201c8fbf7f7d39e65ff2
--
2.41.0